## org.eclipse.emf.cdo.transaction
Interface CDOConflictResolver

All Known Implementing Classes:
  AbstractObjectConflictResolver, AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge

    public interface CDOConflictResolver

A strategy used to customize the default conflict resolution behaviour of `transactions`.

Since:
  2.0
See Also:
  `CDOTransaction.Options#setConflictResolver(CDOConflictResolver)`

Method Summary
`CDOTransaction` `getTransaction()` Returns the `transaction` this conflict resolver is associated with.
`void` `resolveConflicts(java.util.Set<CDOObject> conflicts)` Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.
`void` `setTransaction(CDOTransaction transaction)` Sets the `transaction` this conflict resolver is to be associated with.

Method Detail

### getTransaction

    CDOTransaction getTransaction()

  Returns the `transaction` this conflict resolver is associated with.

### setTransaction

    void setTransaction(CDOTransaction transaction)

  Sets the `transaction` this conflict resolver is to be associated with.

### resolveConflicts

    void resolveConflicts(java.util.Set<CDOObject> conflicts)

  Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

  The implementor might want to use/extend `AbstractObjectConflictResolver`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.